Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ConfigVariableBool Class Reference

This is a convenience class to specialize ConfigVariable as a boolean type. More...

`#include "configVariableBool.h"`

Inheritance diagram for ConfigVariableBool:

## Public Member Functions
| ConfigVariableBool (const std::string &name)
| ConfigVariableBool (const std::string &name, bool default_value, const std::string &description=std::string(), int flags=0)
| ConfigVariableBool (const std::string &name, const std::string &default_value, const std::string &description=std::string(), int flags=0)
bool | get_default_value () const
bool | get_value () const
bool | get_word (size_t n) const
| Returns the variable's nth value.
| operator bool () const
| Returns the variable's value.
void | operator= (bool value)
| Reassigns the variable's local value.
bool | operator[] (size_t n) const
| Returns the value of the variable's nth word.
void | set_value (bool value)
void | set_word (size_t n, bool value)
| Reassigns the variable's nth value.
size_t | size () const
| Returns the number of unique words in the variable.
Public Member Functions inherited from ConfigVariable
| ConfigVariable (const std::string &name)
| Use this constructor to make a ConfigVariable of an unspecified type.
void | clear_value ()
| Removes the value assigned to this variable, and lets its original value (as read from the prc files) show through.
size_t | get_num_words () const
| Returns the number of words in the variable's value.
const std::string & | get_string_value () const
| Returns the toplevel value of the variable, formatted as a string.
void | set_string_value (const std::string &value)
| Changes the value assigned to this variable.
Public Member Functions inherited from ConfigVariableBase
bool | clear_local_value ()
| Removes the local value defined for this variable, and allows its value to be once again retrieved from the .prc files.
const std::string & | get_description () const
int | get_flags () const
| Returns the flags value as set by set_flags().
const std::string & | get_name () const
int | get_trust_level () const
ValueType | get_value_type () const
bool | has_local_value () const
| Returns true if this variable's value has been shadowed by a local assignment (as created via make_local_value()), or false otherwise.
bool | has_value () const
| Returns true if this variable has an explicit value, either from a prc file or locally set, or false if variable has its default value.
bool | is_closed () const
bool | is_dynamic () const
void | output (std::ostream &out) const
void | write (std::ostream &out) const

## Public Attributes
| get_default_value
| Returns the variable's default value.
| get_value
| Returns the variable's value.
| set_value
| Reassigns the variable's local value.
Public Attributes inherited from ConfigVariableBase
| get_description
| Returns the brief description of this variable, if it has been defined.
| get_name
| Returns the name of the variable.
| get_trust_level
| Returns the minimum trust_level a prc file must demonstrate in order to redefine the value for this variable.
| get_value_type
| Returns the stated type of this variable.
| is_closed
| Returns true if the variable is not trusted by any prc file (and hence cannot be modified from its compiled-in default value), or false for the normal case, in which the variable can be modified by any prc file at or above its trust level (see get_trust_level()).
| is_dynamic
| Returns true if the variable was indicated as "dynamic" by its constructor, indicating that its name was dynamically generated, possibly from a large pool, and it should not be listed along with the other variables.

## Additional Inherited Members
Public Types inherited from ConfigFlags
enum | ValueType { VT_undefined , VT_list , VT_string , VT_filename , VT_bool , VT_int , VT_double , VT_enum , VT_search_path , VT_int64 , VT_color }
enum | VariableFlags { F_trust_level_mask = 0x00000fff , F_open = 0x00001000 , F_closed = 0x00002000 , F_dynamic = 0x00004000 , F_dconfig = 0x00008000 }

## Detailed Description

This is a convenience class to specialize ConfigVariable as a boolean type.

Definition at line 23 of file configVariableBool.h.

## Constructor & Destructor Documentation

## ◆ ConfigVariableBool() [1/3]

ConfigVariableBool::ConfigVariableBool | ( | const std::string & | name | ) |
| inline

Definition at line 17 of file configVariableBool.I.

## ◆ ConfigVariableBool() [2/3]

ConfigVariableBool::ConfigVariableBool | ( | const std::string & | name,
|  | bool | default_value,
|  | const std::string & | description = std::string(),
|  | int | flags = 0 )
| inline

Definition at line 28 of file configVariableBool.I.

## ◆ ConfigVariableBool() [3/3]

ConfigVariableBool::ConfigVariableBool | ( | const std::string & | name,
|  | const std::string & | default_value,
|  | const std::string & | description = std::string(),
|  | int | flags = 0 )
| inline

Definition at line 45 of file configVariableBool.I.

## Member Function Documentation

## ◆ get_word()

bool ConfigVariableBool::get_word | ( | size_t | n | ) | const
| inline

Returns the variable's nth value.

Definition at line 127 of file configVariableBool.I.

Referenced by operator[]().

## ◆ operator bool()

ConfigVariableBool::operator bool | ( |  | ) | const
| inline

Returns the variable's value.

Definition at line 70 of file configVariableBool.I.

References get_value.

## ◆ operator=()

void ConfigVariableBool::operator= | ( | bool | value | ) |
| inline

Reassigns the variable's local value.

Definition at line 62 of file configVariableBool.I.

References set_value.

## ◆ operator[]()

bool ConfigVariableBool::operator[] | ( | size_t | n | ) | const
| inline

Returns the value of the variable's nth word.

Definition at line 86 of file configVariableBool.I.

References get_word().

## ◆ set_word()

void ConfigVariableBool::set_word | ( | size_t | n,
|  | bool | value )
| inline

Reassigns the variable's nth value.

This makes a local copy of the variable's overall value.

Definition at line 136 of file configVariableBool.I.

## ◆ size()

size_t ConfigVariableBool::size | ( |  | ) | const
| inline

Returns the number of unique words in the variable.

Definition at line 78 of file configVariableBool.I.

References ConfigVariable::get_num_words().

Referenced by SmoothMover::compute_smooth_position().

## Member Data Documentation

## ◆ get_default_value

bool ConfigVariableBool::get_default_value
| inline

Returns the variable's default value.

Definition at line 41 of file configVariableBool.h.

## ◆ get_value

bool ConfigVariableBool::get_value
| inline

Returns the variable's value.

Definition at line 40 of file configVariableBool.h.

Referenced by init_libmayaegg(), and operator bool().

## ◆ set_value

void ConfigVariableBool::set_value
| inline

Reassigns the variable's local value.

Definition at line 40 of file configVariableBool.h.

Referenced by operator=().

The documentation for this class was generated from the following files:

- dtool/src/prc/configVariableBool.h
- dtool/src/prc/configVariableBool.cxx
- dtool/src/prc/configVariableBool.I